/videos/generations/{id} 查询任务状态和结果。callback_url,任务到达终态(Completed / Failed)时,系统会向该 URL 发送 HTTP POST 请求,payload 结构与 GET 查询接口响应一致。最多重试 3 次(指数退避 2s → 4s),4xx 客户端错误不重试。{
"id": "chatvideo-1772778462403778814-root",
"model": "veo-3.0-generate-preview",
"status": "Completed",
"message": "完成",
"data": {
"videos": [
{
"url": "https://aitoken-video.qnaigc.com/root/out-chatvideo-1772778462403778814-root/sample_0.mp4?e=1773988232&token=IDB69r4gicDbMd9Fbmn9w2bWuEENg9i5_yasXqhp:P5Y96rq6S2wkU8PCp7gqqGLVhbM=",
"mimeType": "video/mp4"
}
]
},
"created_at": "2026-03-06T14:27:42+08:00",
"updated_at": "2026-03-06T14:30:32.811531241+08:00"
}curl --location --request POST 'https://api.qnaigc.com/v1/videos/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "veo-3.0-generate-preview",
"instances": [
{
"prompt": "A golden retriever running on a beach at sunset, cinematic lighting, slow motion"
}
],
"parameters": {
"aspectRatio": "16:9",
"durationSeconds": 8,
"sampleCount": 1,
"seed": 42,
"negativePrompt": "blurry, low quality",
"personGeneration": "dont_allow",
"generateAudio": true
}
}'{
"id": "chatvideo-1709712000000000000-uid123"
}